Synq Docs
Management APIEmail domains

Check a sending domain now

Looks at the domain again now rather than at its next scheduled check: registers it if it is still `pending_setup`, else looks its records up and, when they are all there and Postmark agrees, verifies it. Once a minute for a domain. Needs `org.emailDomains.edit` and a plan with `branding.custom_email_domain`.

POST/v1/orgs/{org}/email-domains/{domain}/check

Looks at the domain again now rather than at its next scheduled check: registers it if it is still pending_setup, else looks its records up and, when they are all there and Postmark agrees, verifies it. Once a minute for a domain. Needs org.emailDomains.edit and a plan with branding.custom_email_domain.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
domain*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/orgs/string/email-domains/string/check"
{  "id": "string",  "domain": "string",  "status": "string",  "records": [    {      "purpose": "string",      "type": "string",      "host": "string",      "value": "string",      "required": true,      "status": "string",      "seen": "string"    }  ],  "problem": "string",  "used_by": [    "string"  ],  "verified_at": "2019-08-24T14:15:22Z",  "last_checked_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}